package com.yd.api.practitioner.vo.policy.policyinfoquery;


import com.yd.api.result.CommonResult;

import java.util.List;

public class PolicyInfoQueryResponseVO {
	private Long orderId;//订单ID
	private String orderNo;//订单号
	private Long policyId;//保单id
	private String policyNo;//保单号
	private Long customerId;//操作人用户Id
	private String orderDate;//下单日期
	private String startDate;//保险起期
	private String endDate;//保险止期
	private Double price;//价格
	private String status;//保单状态
	private ProductInfo productInfo;//产品信息
	private EleInvoiceInfo eleInvoiceInfo;//电子发票信息
	private ReferralInfo referralInfo;//推荐金信息
	private InsureFactorInfo insureFactorInfo;//投保因子信息
	private HolderInfo holderInfo;//投保人
	private List<InsuredInfo> insuredInfos;//被保险人对象列表
	private RenewBankInfo renewBankInfo;//续保银行卡信息
	private List<PolicyFactorInfo> policyFactorInfos;//寿险投保因子相关信息
	private CommonResult commonResult;

	public Long getOrderId() {
		return orderId;
	}

	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public Long getPolicyId() {
		return policyId;
	}

	public void setPolicyId(Long policyId) {
		this.policyId = policyId;
	}

	public String getPolicyNo() {
		return policyNo;
	}

	public void setPolicyNo(String policyNo) {
		this.policyNo = policyNo;
	}

	public Long getCustomerId() {
		return customerId;
	}

	public void setCustomerId(Long customerId) {
		this.customerId = customerId;
	}

	public String getOrderDate() {
		return orderDate;
	}

	public void setOrderDate(String orderDate) {
		this.orderDate = orderDate;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) { this.status = status; }

	public ProductInfo getProductInfo() {
		return productInfo;
	}

	public void setProductInfo(ProductInfo productInfo) {
		this.productInfo = productInfo;
	}

	public EleInvoiceInfo getEleInvoiceInfo() {
		return eleInvoiceInfo;
	}

	public void setEleInvoiceInfo(EleInvoiceInfo eleInvoiceInfo) {
		this.eleInvoiceInfo = eleInvoiceInfo;
	}

	public ReferralInfo getReferralInfo() {
		return referralInfo;
	}

	public void setReferralInfo(ReferralInfo referralInfo) {
		this.referralInfo = referralInfo;
	}

	public InsureFactorInfo getInsureFactorInfo() {
		return insureFactorInfo;
	}

	public void setInsureFactorInfo(InsureFactorInfo insureFactorInfo) {
		this.insureFactorInfo = insureFactorInfo;
	}

	public HolderInfo getHolderInfo() { return holderInfo; }

	public void setHolderInfo(HolderInfo holderInfo) { this.holderInfo = holderInfo; }

	public List<InsuredInfo> getInsuredInfos() { return insuredInfos; }

	public void setInsuredInfos(List<InsuredInfo> insuredInfos) { this.insuredInfos = insuredInfos; }

	public RenewBankInfo getRenewBankInfo() {
		return renewBankInfo;
	}

	public void setRenewBankInfo(RenewBankInfo renewBankInfo) {
		this.renewBankInfo = renewBankInfo;
	}

	public List<PolicyFactorInfo> getPolicyFactorInfos() {
		return policyFactorInfos;
	}

	public void setPolicyFactorInfos(List<PolicyFactorInfo> policyFactorInfos) {
		this.policyFactorInfos = policyFactorInfos;
	}

	public CommonResult getCommonResult() { return commonResult; }

	public void setCommonResult(CommonResult commonResult) { this.commonResult = commonResult; }
}
